
Redmine - Defect #27048

unable to update issues through API

2017-09-21 09:56 - Bharath Kumar Reddy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

CRM ID field not activate for this project

Completed 500 Internal Server Error in 2547ms

TypeError (can't convert Symbol into Integer):

app/models/issue.rb:163:in `create_or_update'

app/models/issue.rb:1075:in `block in save_issue_with_child_records'

app/models/issue.rb:1062:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:179:in `update'

when trying update the issue through API, the above error generated in the log file

History

#1 - 2017-09-21 12:09 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

Please describe more details and see submissions.

#2 - 2017-10-27 19:27 - Alexandre Mendonça Lima

I'm facing same problem -> Getting error when updating an issue by REST API using PU...

Did you find a solution?

#3 - 2017-10-30 12:52 - Alexandre Mendonça Lima

I found the problem. Details here: Getting error when updating an issue by REST API using PU...

It had caused by a plugin, probably incompatible with your redmine version. Try to disable some plugins and test, until find your bad plugin.

#4 - 2017-10-31 12:05 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

No feedback from author.
